For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSet ExternalSync flag for Wros
      • GETGet Multiple Warehouse Receiving Orders
      • POSTCreate Warehouse Receiving Order
      • POSTCancel Warehouse Receiving Order
      • GETGet Fulfillment Centers
      • GETGet Warehouse Receiving Order
      • GETGet Warehouse Receiving Order Boxes
      • GETGet Warehouse Receiving Order Box Labels
      • GETGet Inventory Distributions by WRO ID
LogoLogo
API ReferenceReceiving

Get Multiple Warehouse Receiving Orders

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/receiving
GET
/2026-01/receiving
$curl -G https://sandbox-api.shipbob.com/2026-01/receiving \
> -H "Authorization: Bearer <token>" \
> -d IDs=0 \
> -d Statuses=Awaiting \
> --data-urlencode InsertStartDate=2019-08-24T14:15:22+00:00 \
> --data-urlencode InsertEndDate=2019-08-24T14:15:22+00:00 \
> -d FulfillmentCenterIds=0 \
> -d PurchaseOrderNumbers=string \
> -d ExternalSync=true \
> --data-urlencode CompletedStartDate=2019-08-24T14:15:22+00:00 \
> --data-urlencode CompletedEndDate=2019-08-24T14:15:22+00:00
1[
2 {
3 "box_labels_uri": "https://api.shipbob.com/2026-01/receiving/1/labels",
4 "box_packaging_type": "EverythingInOneBox",
5 "expected_arrival_date": "2019-08-24T14:15:22+00:00",
6 "external_sync_timestamp": "2019-08-24T14:15:22+00:00",
7 "fulfillment_center": {
8 "address1": "5900 W Ogden Ave",
9 "address2": "Suite 100",
10 "city": "Cicero",
11 "country": "USA",
12 "email": "example@example.com",
13 "id": 0,
14 "name": "Cicero (IL)",
15 "phone_number": "555-555-5555",
16 "state": "IL",
17 "timezone": "Central Standard Time",
18 "zip_code": "60804"
19 },
20 "id": 0,
21 "insert_date": "2019-08-24T14:15:22+00:00",
22 "inventory_quantities": [
23 {
24 "expected_quantity": 0,
25 "inventory_id": 0,
26 "received_quantity": 0,
27 "sku": "string",
28 "stowed_quantity": 0
29 }
30 ],
31 "last_updated_date": "2019-08-24T14:15:22+00:00",
32 "package_type": "Package",
33 "purchase_order_number": "string",
34 "status": "Awaiting",
35 "status_history": [
36 {
37 "id": 0,
38 "status": "Processing",
39 "timestamp": "2019-08-24T14:15:22+00:00"
40 }
41 ]
42 }
43]
Returns a list of warehouse receiving orders with optional filtering by status, fulfillment center, purchase order number, and date range.
Was this page helpful?
Previous

Set ExternalSync flag for Wros

Next

Create Warehouse Receiving Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

PageintegerOptional
Page of WROs to get
LimitintegerOptional
Number of WROs per page to request
IDslist of integersOptional
Comma separated list of WRO IDs to filter by
Statuseslist of enumsOptional
Comma separated list of WRO statuses to filter by
InsertStartDatedatetimeOptional
Earliest date that a WRO was created
InsertEndDatedatetimeOptional
Latest date that a WRO was created
FulfillmentCenterIdslist of integersOptional
Comma separated list of WRO fulfillment center IDs to filter by
PurchaseOrderNumberslist of stringsOptional
Comma separated list of WRO PO numbers to filter by
ExternalSyncbooleanOptional

Flag to return external_sync_timestamp WROs

CompletedStartDatedatetimeOptional
Earliest date that a WRO was completed
CompletedEndDatedatetimeOptional
Latest date that a WRO was completed

Response headers

Page-Numberinteger
Number of the current page
Total-Pagesinteger
Total number of pages of results
Total-Countinteger
Total number of results
Page-Sizeinteger
Number of results per page
Next-Pagestring
The href of the next page of results, if there is a next page

Response

Success
box_labels_uristring
URL to the packing slip to be included in each box shipment for this receiving order
box_packaging_typeenum
Allowed values:
expected_arrival_datedatetime
Expected date that all packages will have arrived
external_sync_timestampdatetime
The timestamp in UTC when a 3rd party integrator has set in our system
fulfillment_centerobject
Information about a fulfillment center
idinteger
Unique id of the warehouse receiving order
insert_datedatetime
Insert date of the receiving order
inventory_quantitieslist of objects
Inventory items and quantities within the WRO
last_updated_datedatetime
Last date the receiving order was updated
package_typeenum
Allowed values:
purchase_order_numberstring
Purchase order number for a receiving order
statusenum
status_historylist of objects
The history of status changes for this receiving order

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error